サポート » バグ報告と提案 » WordPress5.1.1 ローカル環境におけるエディタ画面のエラー

  • 解決済 kotetsu1701

    (@kotetsu1701)


    Xamp7.2.14、7.3.2いずれのローカル環境にてWordPress5.1.1をインストール。ログイン後、新規投稿で新しいエディタ画面で、「予期しないエラーが発生しました」と表示されて、記事の作成はおろか投稿もできない状況に陥っています。ただし、レンタルサーバー上の5.1.1は正常に動作していますので、こちらのほうは問題ないのですが、ローカル環境でどうにもなりません。
    解決策をご存じないでしょうか。

    現在は、Classic Editorプラグインを使用しています。

7件の返信を表示中 - 1 - 7件目 (全7件中)
  • こんにちは

    何かエラーログ出ていないでしょうか?

    あとは問題解決のためのチェックリストを試してみてください。

    こんにちは

    ブラウザは、Chromeですか? firefoxなどでも、同様のエラーになりますか?

    原因はわかりませんが Chromeで発生しているエラーが、firefoxでは発生しないといった事があるようです。

    そのエラーメッセージは、エラーをコピーするボタンがありますよね。

    エラーをコピーして、エラーの内容を書いておくと 誰か詳しい人が答えてくれるかもしれません。

    • この返信は6 ヶ月、 1 週前に  nobita さんが編集しました。

    追加情報です。
    Microsoft EdgeおよびFirefoxについては、エラーが発生していません。

    @kotetsu1701 エラー文をコピーという機能があるので差し支えなければ、それを掲載すると何かのヒントになるかもしれません。

    また、似たようなコトが先日僕の手元のWordPressでもありましたが、そのときは、ブラウザーキャッシュの削除をすることで解消できました。

    詳しい状況、エラー内容については、投稿済みなのですが、モデレーターによる手動認証待ちとなったままとなっております。
    ブラウザのキャッシュをクリアしても改善されませんでした。
    エラーはTypeError: Cannot read property ‘core/paragraph’ of undefinedとなっており、editor.min.js、data.min.js、react-dom.min.jsにおいて起きているようです。

    先刻、私も同様の症状で同じエラーが発生しました。私の場合は、Guntenberg 5.2 プラグインを有効化し削除するすることで発生しました。
    その時はログアウトしてブラウザのキャッシュを削除することで解消しました。今一度、ブラウザのキャッシュの削除を試してみてはと思います。

    それでも解消しない場合は、JavaScript 連結の無効化で直るかもしれません。根本的な解決策ではありませんが、バージョンアップで直るかもしれないので・・・。
    http://wpdocs.osdn.jp/wp-config.php_の編集#JavaScript_.E9.80.A3.E7.B5.90.E3.81.AE.E7.84.A1.E5.8A.B9.E5.8C.96

    Vivaldiの閲覧履歴、ダウンロード、Cookie、ストレージ、キャッシュ、アプリケーションキャッシュを削除することでエラーが発生しなくなりました。どうやら、閲覧履歴、キャッシュだけではだめだったようです。
    アドバイスいただいたみなさん、ありがとうございます。お礼申し上げます。
    まだ、一抹の不安が少々ありますが、これで「解決」としたいと思います。

7件の返信を表示中 - 1 - 7件目 (全7件中)
  • トピック「WordPress5.1.1 ローカル環境におけるエディタ画面のエラー」には新たに返信することはできません。